Skip to main content
`Ctrl`+`K`

# PetscViewerView

Visualizes a viewer object.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerView(PetscViewer v, PetscViewer viewer)

Collective

## Input Parameters

- v - the viewer to be viewed

- viewer - visualization context

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerPushFormat()`, `PetscViewerASCIIOpen()`, `PetscViewerDrawOpen()`, `PetscViewerSocketOpen()`, `PetscViewerBinaryOpen()`, `PetscViewerLoad()`

## Level

beginner

## Location

src/sys/classes/viewer/interface/view.c

## Examples

src/sys/classes/viewer/tutorials/ex2f.F90
src/sys/classes/viewer/tutorials/ex2.c

## Implementations

PetscViewerView_ExodusII() in src/dm/impls/plex/exodusii/plexexodusii2.c
PetscViewerView_ASCII() in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerView_Binary() in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerView_CGNS() in src/sys/classes/viewer/impls/cgns/cgnsv.c
PetscViewerView_Draw() in src/sys/classes/viewer/impls/draw/drawv.c
PetscViewerView_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages